twas indeed the permission issue.
both code snippets (load and file exist) put TRUE,
so now it works.
thanks alot!
thats what i too call STREAMLINING!!
thanks a lot
twas indeed the permission issue.
both code snippets (load and file exist) put TRUE,
so now it works.
thanks alot!
thats what i too call STREAMLINING!!
thanks a lot
hi,
the plugin is missing in my index menu.
also, when i try to load the plugin via ruby console,
my ruby console puts the following:
load component_edit_window_v1.0.rb
Error; #<SyntaxError; (eval);48; compile error
(eval);48; no .<digit> floating literal anymore; put 0 before dot
load component_edit_window_v1.0.rb
^
(eval);48; syntax error, unexpected tINTEGER
load component_edit_window_v1.0.rb
^>
(eval);48
i have su8 installed in the default location.
and i put the plugin into Plugins.
thanks for any help.
well actually yes,
i already gave the last 2 version of lightup a go.
it is quite of nean especially when adding lights.
but for the export to external renderers it would also
be neat to have material shading channels of some sort to pass on.
ive been using SU for 5 years now and theres so much still
i would like to see, or know if its being worked on or if sketchup is
going to be the rest of its life the way it is now.
e.g. 64bit, multicore support.
well just asking
hi all,
iwas wondering.
since sketcup is based on oepngl,
would it somehow be possible to enhance the texture section
by adding shader properties like bump, displacemnt, specular, diffuse etc. ?
i know from cinema 4d that there is an "enhanced opengl" capability that lets me see
that stuff inside the opengl viewport.
not all, but at least some features like bump and specular would be a great enhancement.
does anybody know of something in that direction?
thanks
hi all,
i have a script where i am at one point helpless with a problem:
its a script giving me a summary of weights.
i have components with dynamic attributes "gewicht" (weight).
i select a couple, then i get a dialog box with the following:
number of selected items.
total weight.
then:
number of item a - name of item a - single weight item a
number of itemb - name of item b - single weight item b
and so on...
depending on how many things are in my selection.
one part doesnt work though, that which i put in bold above.
it doesnt show me the number of instances in my selection, as iwant, but
it rather shows me the number of instances in my model.
and i cant see the code for it.any body got some advice? thx alot
the problem is, where it says: "e.definition.count_instances"
so basically i want: "e.definitions.count_instances" for my selection.
here's the part of the code:
name=[]
ss.each{|e|
if e.class==Sketchup;;ComponentInstance
name=name+[e.definition.count_instances.to_s+ "x \t"+e.definition.name+ " \ta "+e.definition.get_attribute("dynamic_attributes","gewicht",0)+" kg"+"\n"]
end
}
wow!
"erase coplanar edges" in the "cleanup" plugion is perfect !!!
alright,
after another round of inet research i found the answer myself:
it's called "stray lines",
it's a ruby plugin,
it's found on http://www.smustard.com
and it's free.
hope the info might help some other guys or girls with the same problem
hi all,
is there a quick way or an add-on, with which i can delete all my orphan lines in my drawing?
orphan lines = lines that are on a surface but dont dissect it.
after an import via DXF i had a LOT of those on my planes.
and if there was a way of not using the raser, i'd be grateful.
thx in advance,
artofseeing
got it1
it was my error writing "15,4" instead of "15.4" into the value
one more strange happening yet:
ijust found out that
the sum of weights i get is a rounded value.
for example:
a lamp has the value "15,4" for the key "gewicht".
if i report on that i get "15.0"
cant seem to figure out just why...
got it!
the guess was right.
make all values and variables floats, and it works out.
i selected none> weight=0
i selected one> weight=6
i selected 2> weight=12
thanks guys:)
now to get also the single weights...
but i can do that.
actually, i need one messagebox with all weiths shown(sum and single),
as a checkup if it got all the data right.
then im gonna take what the messagebox has shown and save it first as a simple text file,
in the end even paste the data into cells of a scalc file where i can
estimate the final loads at certain points.
i.e.:
i have 10 lamps and 2 beamers and 4 loudspeakers hanging on a line of truss,
so i get all the weights of each part, and the sum.
this truss is i.e. hanging at 2 points, so i estimate half the final load to each point.
so in the end, its a load calculation, which, up to now, i always had to do by hand.
wow thanks for the qucik and helpful reply.
when i select nothing its okay.
iget this error in the console when i have a component selected:
Error: #<TypeError: String can't be coerced into Fixnum>
C:/Program Files (x86)/Google/Google SketchUp 7/Plugins/SINUS-gewichte.rb:13:in +' C:/Program Files (x86)/Google/Google SketchUp 7/Plugins/SINUS-gewichte.rb:13:in
gewicht'
C:/Program Files (x86)/Google/Google SketchUp 7/Plugins/SINUS-gewichte.rb:11:in each' C:/Program Files (x86)/Google/Google SketchUp 7/Plugins/SINUS-gewichte.rb:11:in
gewicht'
C:/Program Files (x86)/Google/Google SketchUp 7/Plugins/SINUS-gewichte.rb:30
C:/Program Files (x86)/Google/Google SketchUp 7/Plugins/SINUS-gewichte.rb:29:in `call'
any suggestions?
again, thanks
hi all,
i'm working on the following script:
require 'sketchup.rb'
#----------------
#---------------------
def gewicht
model = Sketchup.active_model
selection=model.selection
entity=selection.first
entities=selection[1]
attdict=entity.attribute_dictionary "dynamic_attributes"
definitions = model.definitions
component = definitions[0]
#value = model.get_attribute "dynamic_attributes", "gewicht", 0
keys=attdict.keys[-4]
value=attdict.values[-4]
#UI.messagebox [keys, "; ", value]
UI.messagebox [component.name, " ;", "Einzel-Gewicht;", value, " ", "kg"]
end
#--------------------------------
if( not file_loaded?("SINUS-gewichte.rb") )
toolbar = UI;;Toolbar.new "SINUS"
cmd = UI;;Command.new("SINUS") {
gewicht
}
cmd.small_icon = "weight.gif"
cmd.large_icon = "weight.gif"
cmd.tooltip = "Gewicht"
cmd.status_bar_text = "Gewicht"
cmd.menu_text = "Gewicht"
toolbar = toolbar.add_item cmd
toolbar.show
end
i set the key index to -4 because "gewicht" is the one key i need.
any better way to retrieve a key by its name?
but the script doesnt quite work yet the way i want it to.
i want to do the following:
selct one or more components i draged and dropped from my library.
(they already have a "gewicht" key with corresponding value attached to them under the dictionary "dynamic_attributes"!)
"gewicht" means weight by the way.
now:
i want a messagebox to show me the following:
the single weight of each selected component
the sum of weights of all selected.
that's practically it.
any suggestions?
thanks
cheers.
i found out myself.
they were to the left of my primary display.
i put them there when i had my secondary display to the left of my primary one,
and thats where SU saved their position
both windows seem to pop up somewhere when i check them in the menu,
but they are somewhere outside the desktop area ?!?!
any suggestions?
thx
okay thanks very much
i'll give the modification a try ....
while we're at it.
how can i make it ask me where to put the file?
i already had v1.6.
works prety good thanks
maybe i could also use the additional listing of LAYER attributes.
it creats a component report, which tells me names and amounts.
it creates an instance report, which tells me which layer its on.
could i maybe create a combination?
=.csv telling me NAME; NUMBER; LAYER ?
thx alot...